Ticket #15012

ログアウトしても別ユーザーでログインできない
Open Date: 2009-02-09 15:28 Last Update: 2012-01-17 17:36

Reporter:
Owner:
Type:
Status:
Closed
Component:
(None)
MileStone:
(None)
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
File:
None

Details

ユーザーAでログインし、ログアウト後、もう一度ログインをクリックすると、ダイアログが表示されず、ユーザーAでログインしてしまうため、ユーザーを切り替えることができない。
2.1beta4で発生

Ticket History (3/10 Histories)

2009-02-09 15:28 Updated by: flame
  • New Ticket "ログアウトしても別ユーザーでログインできない" created
2009-02-09 15:57 Updated by: None
Comment

こちらでは、以前からそうでした。 てっきり、trac の仕様なのかと思ってましたが…(汗笑)

2009-02-09 22:23 Updated by: oki0808
Comment

うちの環境では認証にLDAPを使用していますが、「プロジェクト一覧」から認証の対称にしているためか、

ログアウトすらできません…orz

入りなおすにはブラウザを再起動しています。

2009-02-10 21:39 Updated by: okamototk
  • Resolution Update from None to Won't Fix
  • Ticket Close date is changed to 2009-02-10 21:39
  • Status Update from Open to Closed
Comment

ご報告ありがとうございます。

TracのBASIC(DIGEST)認証を利用しているため、この制限は仕様です。本当にログアウトするにはブラウザを再起動してください。

2011-06-03 15:32 Updated by: kanu
  • Milestone Update from 2.1 (closed) to (None)
  • Component Update from trac-lightning 2.1beta4 to (None)
Comment

3.1.2で解消する方法を提供する予定です。

2011-06-03 15:32 Updated by: kanu
  • Status Update from Closed to Open
  • Milestone Update from (None) to 3.1.2 (closed)
2011-07-27 23:36 Updated by: kanu
  • Resolution Update from Won't Fix to Fixed
  • Owner Update from (None) to kanu
Comment

TracLightning3.1.2beta2で対応しました。

設定方法は http://d.hatena.ne.jp/kanu-orz/20110620/1308571100 を参照してください。

2011-07-28 19:49 Updated by: kanu
  • Ticket Close date is changed to 2011-07-28 19:49
  • Status Update from Open to Closed
2012-01-17 17:32 Updated by: None
Comment

flame への返信

ユーザーAでログインし、ログアウト後、もう一度ログインをクリックすると、ダイアログが表示されず、ユーザーAでログインしてしまうため、ユーザーを切り替えることができない。
2.1beta4で発生

3.1.3で再発しています

2012-01-17 17:36 Updated by: jun66j5
Comment

Baisc認証、またはDigest認証を使っているのであれば、その挙動はTracおよびブラウザの仕様です。もしくは http://d.hatena.ne.jp/kanu-orz/20110620/1308571100 の説明にあるフォーム認証を使ってください。

Attachment File List

No attachments

Edit

Please login to add comment to this ticket » Login